Bug 37543 - ExplorerPanel.getHelpCtx()
ExplorerPanel.getHelpCtx()
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P2 (vote)
: 4.x
Assigned To: Petr Nejedly
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 44642
  Show dependency treegraph
 
Reported: 2003-11-26 16:59 UTC by _ pkuzel
Modified: 2008-12-22 23:50 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The patch (5.96 KB, patch)
2004-06-10 13:16 UTC, Petr Nejedly
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ pkuzel 2003-11-26 16:59:14 UTC
was deprecated without replacement. Please copy it
to ExprorerManager or so.
Comment 1 _ pkuzel 2003-11-26 17:01:32 UTC
or to HelpCtx if it can depend on Nodes.
Comment 2 Jaroslav Tulach 2004-01-06 10:41:50 UTC
ExplorerUtils is probably the right place in our current state.
Comment 3 Jiri Rechtacek 2004-04-23 10:46:12 UTC
Assigned to new owner.
Comment 4 Petr Hrebejk 2004-06-10 10:01:59 UTC
Yes, let's do it the new project specific views depend on that. It is
an easy change. So why not.

Should be become a fasttrack issue. 
Comment 5 Petr Nejedly 2004-06-10 13:16:00 UTC
It is a trivial change.
I'll attach the diff containing the change, tests and example usage
for issue 44642.
Comment 6 Petr Nejedly 2004-06-10 13:16:34 UTC
Created attachment 15634 [details]
The patch
Comment 7 Jaroslav Tulach 2004-06-10 13:49:09 UTC
Looks ok to me. Do not forget @since and maybe
ExplorerPanel.getHelpCtx should delegate to ExplorerUtils.getHelpCtx
or the text could run the check twice once for ExplorerUtils and once
for ExplorerPanel.
Comment 8 Jesse Glick 2004-06-10 16:34:39 UTC
Looks OK to me. Although if we ever do some kind of proper
context-sensitive help (letting user click directly on a node), this
and similar code will be useless and deprecated.
Comment 9 Petr Nejedly 2004-06-14 06:51:42 UTC
Going to implement it using previously posted patch enhanced by
Yarda's comments.
Comment 10 Petr Nejedly 2004-06-14 08:16:36 UTC
Done.

openide/src/org/openide/explorer/ExplorerPanel.java,v1.50
openide/src/org/openide/explorer/ExplorerUtils.java,v1.5
openide/test/unit/src/org/openide/explorer/ExplorerUtilsTest.java,v1.1
openide/api/doc/changes/apichanges.xml,v1.209
openide/openide-spec-vers.properties,v1.150
Comment 11 Petr Nejedly 2004-06-14 08:17:11 UTC
Done.
Comment 12 Tomas Danek 2005-07-15 08:29:58 UTC
..verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo